package com.ruoyi.system.domain.grid;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class GridCompanyLandExample implements Serializable {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public GridCompanyLandExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNull() {
            addCriterion("company_id is null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNotNull() {
            addCriterion("company_id is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdEqualTo(String value) {
            addCriterion("company_id =", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotEqualTo(String value) {
            addCriterion("company_id <>", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThan(String value) {
            addCriterion("company_id >", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThanOrEqualTo(String value) {
            addCriterion("company_id >=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThan(String value) {
            addCriterion("company_id <", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThanOrEqualTo(String value) {
            addCriterion("company_id <=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLike(String value) {
            addCriterion("company_id like", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotLike(String value) {
            addCriterion("company_id not like", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIn(List<String> values) {
            addCriterion("company_id in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotIn(List<String> values) {
            addCriterion("company_id not in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdBetween(String value1, String value2) {
            addCriterion("company_id between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotBetween(String value1, String value2) {
            addCriterion("company_id not between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andLandIdIsNull() {
            addCriterion("land_id is null");
            return (Criteria) this;
        }

        public Criteria andLandIdIsNotNull() {
            addCriterion("land_id is not null");
            return (Criteria) this;
        }

        public Criteria andLandIdEqualTo(String value) {
            addCriterion("land_id =", value, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdNotEqualTo(String value) {
            addCriterion("land_id <>", value, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdGreaterThan(String value) {
            addCriterion("land_id >", value, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdGreaterThanOrEqualTo(String value) {
            addCriterion("land_id >=", value, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdLessThan(String value) {
            addCriterion("land_id <", value, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdLessThanOrEqualTo(String value) {
            addCriterion("land_id <=", value, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdLike(String value) {
            addCriterion("land_id like", value, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdNotLike(String value) {
            addCriterion("land_id not like", value, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdIn(List<String> values) {
            addCriterion("land_id in", values, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdNotIn(List<String> values) {
            addCriterion("land_id not in", values, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdBetween(String value1, String value2) {
            addCriterion("land_id between", value1, value2, "landId");
            return (Criteria) this;
        }

        public Criteria andLandIdNotBetween(String value1, String value2) {
            addCriterion("land_id not between", value1, value2, "landId");
            return (Criteria) this;
        }

        public Criteria andShareAreaIsNull() {
            addCriterion("share_area is null");
            return (Criteria) this;
        }

        public Criteria andShareAreaIsNotNull() {
            addCriterion("share_area is not null");
            return (Criteria) this;
        }

        public Criteria andShareAreaEqualTo(String value) {
            addCriterion("share_area =", value, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaNotEqualTo(String value) {
            addCriterion("share_area <>", value, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaGreaterThan(String value) {
            addCriterion("share_area >", value, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaGreaterThanOrEqualTo(String value) {
            addCriterion("share_area >=", value, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaLessThan(String value) {
            addCriterion("share_area <", value, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaLessThanOrEqualTo(String value) {
            addCriterion("share_area <=", value, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaLike(String value) {
            addCriterion("share_area like", value, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaNotLike(String value) {
            addCriterion("share_area not like", value, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaIn(List<String> values) {
            addCriterion("share_area in", values, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaNotIn(List<String> values) {
            addCriterion("share_area not in", values, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaBetween(String value1, String value2) {
            addCriterion("share_area between", value1, value2, "shareArea");
            return (Criteria) this;
        }

        public Criteria andShareAreaNotBetween(String value1, String value2) {
            addCriterion("share_area not between", value1, value2, "shareArea");
            return (Criteria) this;
        }

        public Criteria andLandPurposeIsNull() {
            addCriterion("land_purpose is null");
            return (Criteria) this;
        }

        public Criteria andLandPurposeIsNotNull() {
            addCriterion("land_purpose is not null");
            return (Criteria) this;
        }

        public Criteria andLandPurposeEqualTo(String value) {
            addCriterion("land_purpose =", value, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeNotEqualTo(String value) {
            addCriterion("land_purpose <>", value, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeGreaterThan(String value) {
            addCriterion("land_purpose >", value, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeGreaterThanOrEqualTo(String value) {
            addCriterion("land_purpose >=", value, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeLessThan(String value) {
            addCriterion("land_purpose <", value, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeLessThanOrEqualTo(String value) {
            addCriterion("land_purpose <=", value, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeLike(String value) {
            addCriterion("land_purpose like", value, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeNotLike(String value) {
            addCriterion("land_purpose not like", value, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeIn(List<String> values) {
            addCriterion("land_purpose in", values, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeNotIn(List<String> values) {
            addCriterion("land_purpose not in", values, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeBetween(String value1, String value2) {
            addCriterion("land_purpose between", value1, value2, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLandPurposeNotBetween(String value1, String value2) {
            addCriterion("land_purpose not between", value1, value2, "landPurpose");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationIsNull() {
            addCriterion("lease_relation is null");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationIsNotNull() {
            addCriterion("lease_relation is not null");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationEqualTo(String value) {
            addCriterion("lease_relation =", value, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationNotEqualTo(String value) {
            addCriterion("lease_relation <>", value, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationGreaterThan(String value) {
            addCriterion("lease_relation >", value, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationGreaterThanOrEqualTo(String value) {
            addCriterion("lease_relation >=", value, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationLessThan(String value) {
            addCriterion("lease_relation <", value, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationLessThanOrEqualTo(String value) {
            addCriterion("lease_relation <=", value, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationLike(String value) {
            addCriterion("lease_relation like", value, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationNotLike(String value) {
            addCriterion("lease_relation not like", value, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationIn(List<String> values) {
            addCriterion("lease_relation in", values, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationNotIn(List<String> values) {
            addCriterion("lease_relation not in", values, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationBetween(String value1, String value2) {
            addCriterion("lease_relation between", value1, value2, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andLeaseRelationNotBetween(String value1, String value2) {
            addCriterion("lease_relation not between", value1, value2, "leaseRelation");
            return (Criteria) this;
        }

        public Criteria andIsValidIsNull() {
            addCriterion("is_valid is null");
            return (Criteria) this;
        }

        public Criteria andIsValidIsNotNull() {
            addCriterion("is_valid is not null");
            return (Criteria) this;
        }

        public Criteria andIsValidEqualTo(String value) {
            addCriterion("is_valid =", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotEqualTo(String value) {
            addCriterion("is_valid <>", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidGreaterThan(String value) {
            addCriterion("is_valid >", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidGreaterThanOrEqualTo(String value) {
            addCriterion("is_valid >=", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLessThan(String value) {
            addCriterion("is_valid <", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLessThanOrEqualTo(String value) {
            addCriterion("is_valid <=", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidLike(String value) {
            addCriterion("is_valid like", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotLike(String value) {
            addCriterion("is_valid not like", value, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidIn(List<String> values) {
            addCriterion("is_valid in", values, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotIn(List<String> values) {
            addCriterion("is_valid not in", values, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidBetween(String value1, String value2) {
            addCriterion("is_valid between", value1, value2, "isValid");
            return (Criteria) this;
        }

        public Criteria andIsValidNotBetween(String value1, String value2) {
            addCriterion("is_valid not between", value1, value2, "isValid");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(String value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(String value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(String value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(String value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(String value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(String value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLike(String value) {
            addCriterion("create_time like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotLike(String value) {
            addCriterion("create_time not like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<String> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<String> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(String value1, String value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(String value1, String value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}